<template>
  <div class="app-container">
    <search-form @change="searchHandle2"/>
    <table-list
      :listLoading="listLoading"
      :data="tableData2"
      :columns="listConfig"
      :currentPage="currentPage"
      :pageSize="pageSize"
      :totalRecords="totalRecords"
      @currentChange="pageHandle"
    />
    <!-- <dict-edit
      :isShow="isPopupShow"
      :curObj="curObj"
      @close="closePopup"
    /> -->
  </div>
</template>
<script>
// import { arrToObj } from '@/utils'
import SearchForm from './components/searchForm/Dtl'
// import DictEdit from './components/popup/DictDtlEdit'
import baseTable from '_m/baseTable.js'
export default {
  // name: 'basePublicDictSys',
  components: {
    SearchForm,
    // DictEdit
  },
  provide () {
    return {
      parentData: this
    }
  },
  mixins: [baseTable],
  data () {
    return {
      apiStr: 'other.admactivityenrollist',
      searchForm: null,
      isPopupShow: false,
      noCreated: true,
      curObj: {},
      curId: '',
      curType: '',
    }
  },
  computed: {
    tableData2 () {
      let arr = [...this.tableData]
      arr.map(item => {
        // if (Number(item.system) === 1) item.nosys = true
      })
      return arr
    }
  },
  mounted () {
    const query = this.$route.query
    if (query.t == 2) {
      this.listConfig = {
        rows: [
          { label: '签到时间', prop: 'sign_at' },
          { label: '公司/门店', prop: 'info1' },
          { label: '名字', prop: 'info2' },
          { label: '电话', prop: 'info3' },
          { label: '参加人数', prop: 'info4' },
          { label: '办公区域', prop: 'info5' },
        ]
      }
    } else {
      this.listConfig = {
        rows: [
          { label: '签到时间', prop: 'sign_at' },
          { label: '抖音名', prop: 'info1' },
          { label: '抖音账号', prop: 'info2' },
          { label: '姓名', prop: 'info3' },
          { label: '电话', prop: 'info4' },
          { label: '微信号', prop: 'info5' },
          { label: '粉丝数量', prop: 'info6' },
          { label: '获赞数量', prop: 'info7' },
          { label: '所属区域', prop: 'info8' },
          // { label: '更新人', prop: 'update_by' },
          { label: '更新时间', prop: 'update_at' },
          // { label: '状态', prop: 'status', type: 'tag', tags: arrToObj(this.$dictData.dictStatus), tagTypeObj: {'1': 'success', '2': 'danger'} },
          // { label: '操作', width: 200, type: 'handle2',
          //   operations: [
          //     // { labelFor: 'status', disabled: true, func: this.statusHandle, hide: 'nosys',
          //     //   labelConfig: {
          //     //     texts: {
          //     //       1: '停用',
          //     //       2: '启用'
          //     //     },
          //     //     btnTypes: {
          //     //       1: 'danger',
          //     //       2: 'success'
          //     //     }
          //     //   }
          //     // },
          //     { label: '编辑', func: this.openPopup, btnType: 'primary' },
          //     { label: '删除', func: this.delHandle, btnType: 'danger', hide: 'nosys' },
          //   ]
          // }
        ]
      }
    }
    if (query.id) {
      this.searchForm = {
        activity_id: query.id
      }
      this.fetchData()
    }
  },
  methods: {
    searchHandle2 (params) {
      // console.log(params)
      this.searchForm = {...this.searchForm, ...params}
      this.fetchData()
    },
    delHandle (row) {
      const msgHtml = `确定要删除此字典吗？`
      this.$msg(msgHtml, 'confirm', ()=> {
        this.$api.base.dictdatadel({
          data_id: row.id,
        }).then(data => {
          this.$msgs(`删除成功！`)
          this.fetchData()
        })
      }, null, true)
    },
    statusHandle (row) {
      const status = Number(row.status) === 1 ? 2 : 1
      const msgText = Number(row.status) === 1 ? '停用' : '启用'
      this.$msg(`确定要${msgText}该字典吗？`, 'confirm', ()=> {
        this.$api.base.dictupdate({
          id: row.id,
          status
        }).then(data => {
          this.$msgs(`${msgText}成功！`)
          this.fetchData()
        })
      }, null, true)
    },
    openPopup (row) {
      this.curObj = row || {}
      this.isPopupShow = true
    },
    closePopup (obj) {
      this.isPopupShow = false
      if (obj) {
        this.fetchData()
      }
    }
  }
}
</script>
